Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List volume discounts

Returns volume discount rules. Volume discounts automatically apply tiered pricing when a customer orders above a quantity threshold.

GET/volume_discounts
Authorization
AuthorizationBearer token (JWT) · headerrequired
Query parameters
shop_idinteger

ID of the shop whose volume discounts to list.

pageinteger
min 1 · default: 1
per_pageinteger
min 1 · max 200 · default: 20
Responses
200

Paginated volume discounts list

403

Access denied

422

shop_id required

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/volume_discounts' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_class": [
    "results",
    "volume_discounts"
  ],
  "total_items": 1,
  "per_page": 20,
  "page": 1,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/volume_discounts?shop_id=1"
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 30,
        "name": "Buy 5+ get 10% off",
        "discount_type": "percentage",
        "tiers": {
          "5": 10,
          "10": 15
        },
        "_links": {
          "self": {
            "href": "https://api.onbolder.com/v2/volume_discounts/30"
          }
        }
      }
    ]
  }
}

Was this page helpful?